Bug 228298 - Knetworkmanager assumes password entered by user is a WEP passphrase rather than the far more common Hex or ASCII key
Summary: Knetworkmanager assumes password entered by user is a WEP passphrase rather t...
Status: RESOLVED FIXED
Alias: None
Product: knetworkmanager
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-24 13:10 UTC by Störm Poorun
Modified: 2011-05-27 00:38 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Störm Poorun 2010-02-24 13:10:01 UTC
Version:            (using KDE 4.4.0)
OS:                Linux
Installed from:    Ubuntu Packages

Non-technical users are unable to connect to the internet using common wireless connection types due to this bug:

When a user attempts to connect to a new network that hasn't been used before (clicking "connect to another network" using Knetworkmanager), Knetworkmanager automaticaly determines how the network is secured (i.e. unsecured, WPA, WEP).

For WEP-secured networks, the user is requested to enter the WEP passphrase.

Unfortunately, it appears (correct me if I'm wrong) that there is no way of knowing whether the network requires a "Passphrase (for 128 bit)", or the far more common "Hex or Ascii key (for 64 bit or 128 bit)".

The vast majority of consumers and consumer devices uses the latter "Hex or Ascii key" type.

The few users requiring "Passphrase"-type keys would generally be more technically advanced, or else have IT support, as consumer units do not use passphrase type keys.

However, Knetworkmanager, being unable to determine which type of key to select, defaults to selecting a "Passphrase" type key.

The user enters the Hex or Ascii key in the appropriate box. The network naturally rejects the key and the user is asked again to enter the correct information.

Unless the user is technically-gifted, or lucky, they will not realise they need to change the selection from 'passphrase' to 'Hex or Ascii'.

This is a fundamental problem and a major block to users.

The resolution is three-fold:

A) Knetworkmanager should default to requesting 'Hex or Ascii' type keys where the WEP encryption is unknown.

B) Knetworkmanager should guess by the type and length of key entered by a user whether it is Passphrase or Hex/Ascii, and change the selection accordingly (or ask the user to agree).

C) If the user's key selection fails as a Hex/Ascii key, the same entry should be reattempted as a Passphrase, in case they have chosen incorrectly.
Comment 1 Lamarque V. Souza 2011-05-09 01:15:44 UTC
Git commit f0c6baccc617ea7fa2b2708da190a3d3035ba8e0 by Lamarque V. Souza.
Committed on 09/05/2011 at 01:23.
Pushed by lvsouza into branch 'master'.

Show correct WEP key type (Passphrase/Hex) when editing/showing the
connection secrets. Also set Hex as default key type.
Thanks Rajeesh K Nambiar for pointing this problem out. I changed the
original review request to save the wep key type, which is the correct
thing to do.

REVIEW: 101294
BUG: 228298

M  +15   -18   libs/internals/settings/802-11-wireless-securitypersistence.cpp     
M  +13   -8    libs/ui/security/wepwidget.cpp     
M  +1    -1    libs/ui/security/wirelesssecuritysettingwidget.cpp     

http://commits.kde.org/networkmanagement/f0c6baccc617ea7fa2b2708da190a3d3035ba8e0
Comment 2 Lamarque V. Souza 2011-05-09 01:15:49 UTC
Git commit 4c943de2da5b865074cdf0e5cf1d1a5461f65fa3 by Lamarque V. Souza.
Committed on 09/05/2011 at 01:23.
Pushed by lvsouza into branch 'nm09'.

Show correct WEP key type (Passphrase/Hex) when editing/showing the
connection secrets. Also set Hex as default key type.
Thanks Rajeesh K Nambiar for pointing this problem out. I changed the
original review request to save the wep key type, which is the correct
thing to do.

REVIEW: 101294
BUG: 228298

M  +15   -18   libs/internals/settings/802-11-wireless-securitypersistence.cpp     
M  +13   -8    libs/ui/security/wepwidget.cpp     
M  +1    -1    libs/ui/security/wirelesssecuritysettingwidget.cpp     

http://commits.kde.org/networkmanagement/4c943de2da5b865074cdf0e5cf1d1a5461f65fa3
Comment 3 Will Stephenson 2011-05-26 23:50:46 UTC
Git commit f32dc2f37b0b83a420382f87ee65786259514180 by Will Stephenson, on behalf of Lamarque V. Souza.
Committed on 09/05/2011 at 01:23.
Pushed by wstephens into branch 'libnm-qt'.

Show correct WEP key type (Passphrase/Hex) when editing/showing the
connection secrets. Also set Hex as default key type.
Thanks Rajeesh K Nambiar for pointing this problem out. I changed the
original review request to save the wep key type, which is the correct
thing to do.

REVIEW: 101294
BUG: 228298

M  +15   -18   libs/internals/settings/802-11-wireless-securitypersistence.cpp     
M  +13   -8    libs/ui/security/wepwidget.cpp     
M  +1    -1    libs/ui/security/wirelesssecuritysettingwidget.cpp     

http://commits.kde.org/networkmanagement/f32dc2f37b0b83a420382f87ee65786259514180
Comment 4 Störm Poorun 2011-05-27 00:38:41 UTC
Thanks for resolution (at last) on this.

This has been a major stumbling block for linux/KDE use for many non-technical users.

Changing to default from Passphrase to Hex is great.

Could someone clarify whether an attempt automatically determine the correct key type is made? Or whether if a user enters a key it will be attempted first using the default (Hex) method, and if that fails using passphrase?